Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.app
Class DebugRunnerFactory

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.launch.TransformationRunnerFactory
          org.eclipse.m2m.qvt.oml.debug.core.app.DebugRunnerFactory

    public class DebugRunnerFactory

extends TransformationRunnerFactory

Field Summary

Fields inherited from class org.eclipse.m2m.qvt.oml.debug.core.launch.TransformationRunnerFactory
`modelParamURI, packageRegistry, traceFileURI, transformationURI`

Constructor Summary
`DebugRunnerFactory()`

Method Summary
`DebugTransformationRunner` | `createRunner()`
`protected org.eclipse.m2m.internal.qvt.oml.TransformationRunner` | `createRunner(URI transformationURI, EPackage.Registry packageRegistry, java.util.List<URI> modelParamURIs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugRunnerFactory

    public DebugRunnerFactory()

Method Detail

### createRunner

    protected org.eclipse.m2m.internal.qvt.oml.TransformationRunner createRunner(URI transformationURI,
                                                                                 EPackage.Registry packageRegistry,
                                                                                 java.util.List<URI> modelParamURIs)

  Overrides:
    `createRunner` in class `TransformationRunnerFactory`

### createRunner

    public DebugTransformationRunner createRunner()
                                           throws DiagnosticException

  Overrides:
    `createRunner` in class `TransformationRunnerFactory`
  Throws:
    `DiagnosticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD